Updates the equipment_brand object with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
equipment_brand| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the equipment brand |
string |
Required Max length: 50 |
| code |
The Id/Ref of the back office. Used by Embedded entity |
string |
Max length: 50 |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating company_type |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating company_type |
sales_organization | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
Sample:
{
"id": "ff9783c8-7938-4d1e-ad6f-114da8c6afdf",
"name": "sample string 2",
"code": "sample string 3",
"sales_organization_id": "90500519-cd56-4573-b307-22c4a654a47e",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "6e0f31e8-dffa-43b5-9bd5-c09a7f5e09cd",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "537efcf0-6bd7-4429-ae18-eb77172f17a0",
"db_currency_id": "babee3fe-1b1c-4a7f-9433-4e79305020bf",
"db_language_id": "b8b6193d-b87c-4642-878d-b9b80a5c663c",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-08-21T22:08:22.376499+00:00"
},
"modified_dateutc": "2026-08-21T22:08:22.376499+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.